ObjectInputStream.GetField
Date: 2016-06-24

java.io

## Class ObjectInputStream.GetField

- java.lang.Object
- - java.io.ObjectInputStream.GetField

- Enclosing class:
    ObjectInputStream

      public abstract static class ObjectInputStream.GetField
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectInputStream.GetField()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `defaulted(String var0)`
    `abstract boolean` | `get(String var0, boolean var1)`
    `abstract byte` | `get(String var0, byte var1)`
    `abstract char` | `get(String var0, char var1)`
    `abstract double` | `get(String var0, double var1)`
    `abstract float` | `get(String var0, float var1)`
    `abstract int` | `get(String var0, int var1)`
    `abstract long` | `get(String var0, long var1)`
    `abstract Object` | `get(String var0, Object var1)`
    `abstract short` | `get(String var0, short var1)`
    `abstract ObjectStreamClass` | `getObjectStreamClass()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectInputStream.GetField

          public ObjectInputStream.GetField()

  - ### Method Detail

    - #### defaulted

          public abstract boolean defaulted(String var0)
                                     throws IOException

      Throws:
        `IOException`

    - #### get

          public abstract byte get(String var0,
                 byte var1)
                            throws IOException

      Throws:
        `IOException`

    - #### get

          public abstract char get(String var0,
                 char var1)
                            throws IOException

      Throws:
        `IOException`

    - #### get

          public abstract double get(String var0,
                   double var1)
                              throws IOException

      Throws:
        `IOException`

    - #### get

          public abstract float get(String var0,
                  float var1)
                             throws IOException

      Throws:
        `IOException`

    - #### get

          public abstract int get(String var0,
                int var1)
                           throws IOException

      Throws:
        `IOException`

    - #### get

          public abstract long get(String var0,
                 long var1)
                            throws IOException

      Throws:
        `IOException`

    - #### get

          public abstract Object get(String var0,
                   Object var1)
                              throws IOException

      Throws:
        `IOException`

    - #### get

          public abstract short get(String var0,
                  short var1)
                             throws IOException

      Throws:
        `IOException`

    - #### get

          public abstract boolean get(String var0,
                    boolean var1)
                               throws IOException

      Throws:
        `IOException`

    - #### getObjectStreamClass

          public abstract ObjectStreamClass getObjectStreamClass()